(function(){
var additionalData = [
["history.html","Revision History ",
"Revision History\n",0]
,["history.html","Version 1.3 (2015-11-05)",
"Version 1.3 (2015-11-05)\n",0]
,["history.html","Changes",
"Changes\n \t2.2. Downloadable Applications \tAdded a note that you cannot change a downloadable application to card-based application sales later.\n \t8. Developing Card Applications That Can Be Sold via Download \tAdded a note that you cannot change a downloadable application to card-based application sales later.\n \t8.3. Revising Your Application \tAdded a note about revising titles using fake clients.\n",0]
,["history.html","Version 1.2 (2015-04-28)",
"\nVersion 1.2 (2015-04-28)\n",0]
,["history.html","Additions",
"Additions\n \t2.2.2. Advance Download\n",0]
,["history.html","Changes",
"Changes\n \t1.2. Glossary \tAdded entries for revised version and patch.\n \t4.1.3. Using Extended Save Data \tRevised the detailed AccessibleSaveDataIds specifications.\n \t5.1.2. Creating Downloadable Applications \tAdded the MANUAL_DISCLOSURE build option.\n \t5.2.3. Creating E-Manual CFA Files \tAdded the -DMANUAL_DISCLOSURE option.\n \t6.1. Debugging Methods According to the Menu Displayed at Startup \tFixed the hierarchy of the Config tools menu to match the current tools.\n",0]
,["history.html","Version 1.1 (2015-01-15)",
"\nVersion 1.1 (2015-01-15)\n",0]
,["history.html","Changes",
"Changes\n \t4.1.3. Using Extended Save Data \tFixed an error in AccessibleSaveDataIds.\n \t4.1.4. Settings for Creating a Master ROM to Submit \tFixed the MediaSize item in the RSF file.\n",0]
,["history.html","Deletions",
"Deletions\n \tPlatform Notation \tDeleted this page because the information about platform notation was moved to the Readme file.\n",0]
,["history.html","Version 1.0 (2014-09-04)",
"\nVersion 1.0 (2014-09-04)\n",0]
,["history.html","Additions and Changes",
"Additions and Changes\n \tInitial version.\nCONFIDENTIAL\n",0]
,["title.html","3DS Programming Manual: Creating Applications",
"3DS Programming Manual: Creating Applications\nVersion 1.3\n\tNintendo Confidential\n\tThis document contains confidential and proprietary information of Nintendo and is also protected under the copyright laws of the United States and foreign countries.No part of this document may be released, distributed, transmitted or reproduced in any form or by any electronic or mechanical means, including information storage and retrieval systems, without permission in writing from Nintendo.\n©2015 Nintendo. All rights reserved.\nAll company and product names in this document are the trademarks or registered trademarks of their respective companies.\nCTR-06-0237-002-D\n",0]
,["Pages/Page_54698683.html","1. Introduction ",
"1. Introduction\n",0]
,["Pages/Page_54698683.html#PageId_54698684","1.1. Reading This Document",
"This document summarizes information related to creating 3DS applications. It is written for application developers.\n1.1. Reading This Document\nThis document is intended to introduce information related to the creation of applications. For more information, see the related documentation as appropriate.\nThis document is structured as follows.\n2. Types of Applications lists the types of 3DS applications that can be created and describes the characteristics of each.\n3. Implementation Tips, 4. Preparing to Build, and 5. Building describe the basic procedures for creating an application.\n6. Debugging explains how to debug developer applications.\n7. Using DLLs (Dynamic Modules) describes the steps that must be followed when using dynamic modules in developer applications.\n8. Developing Card Applications That Can Be Sold via Download describes the steps that must be followed when distributing the same application both as a card version and downloadable version.\n",0]
,["Pages/Page_54698683.html#PageId_54698685","1.2. Glossary",
"\n1.2. Glossary\nThis section describes the terms used in this document. These terms may be used in ways that differ from their common meanings.\nTable 1-1. Glossary\n \tTerm \tDescription\n \tCard-based application \tA 3DS application stored on and run from a Game Card. Data is read from the Game Card when the application is executed.\n \tDownloadable application \tA 3DS application stored on and run from a Game Card. Data is read from the SD card when the application is executed.\n \tCXI\n (CTR executable image) \tCTR application executable image format. Also any file stored in this format, and the filename extension.\n \tE-manual \tAn application instruction manual that is displayed on the 3DS system's screens. E-manuals are created by CTR-ManualTools.\n \tCFA\n (CTR file archive) \tA binary format handled as a data container on CTR systems. Also any file stored in this format, and the filename extension.\n \tCCI\n (CTR card image) \tThe format of the final ROM image for card-based applications. Also any file stored in this format, and the filename extension. This includes a CXI within it.\n \tCIA\n(CTR importable archive) \tThe format of the final ROM image for downloadable applications, the file that stores this image, and the extension of this file. Also any file stored in this format, and the filename extension. This includes a CXI within it. The client programs distributed through Download Play are also created with this format.\n \tRSF (ROM specification file) \tSpecification file describing the parameters used when creating a CXI file.\n \tRemaster version \tApplication version number described in the RSF file and then embedded in the CXI file.\n \tImport \tStoring a download application on an SD card and making it ready to run.\n \tHOME Menu \tScreen that displays when the 3DS is turned on. This screen is used to select applications to start.\n \tTest menu \tThe development screen that appears when the PARTNER-CTR Debugger or CTR test unit is turned on. This screen has a minimal feature set and is used in place of the HOME Menu.\n \tDevMenu \tAn application that can import CIA files to an SD card, display extended save data, and perform other operations used during development.\n \tArchive \tIndividual file system operated on by the CTR-SDK's FS library. Corresponds to a drive on a Windows PC.\n \tSave data region \tMemory region allocated for storing save data. This region is allocated on an SD card for a downloadable application and can only be used on the system that created it.\n \tExtended save data region \tData region on an SD card that is created and managed separately from save data. This can only be used on the system that created it. The extended save data created in this region is also called \"extra data.\"\n \tModule \tA logical collection of executable code.\n \tDynamic module \tA module that can be dynamically loaded into memory and executed.\n \tStatic module \tThe module that represents the core application and is executed first. Any application that does not use dynamic modules can be said to comprise only static modules.\n \tDLL \tThe mechanism for implementing a dynamic module. It can also refer to a dynamic module itself.\n \tCRS \tStatic module. Also any file stored in this format, and the filename extension.\n \tCRO \tLinks dynamic modules. Also any file stored in this format, and the filename extension.\n \tCRR \tLoads dynamic modules. Also any file stored in this format, and the filename extension. This file can store one or more instances of CRO registration information.\n \tPackage version \tThe version of a dual-distribution application that is stored on a Nintendo 3DS Game Card and sold in retail stores.\n \tDownload version \tThe version of a dual-distribution application that is sold via download.\n \tRevised version \tAfter an application has been released, the new version application of the same title is released with some changes.\n \tPatch \tA mechanism to replace some of the elements of an application and the data used to make those replacements.\n \tStandard application \tAn application that runs in standard mode when run on SNAKE. Such applications are Nintendo 3DS-specific software, including already released titles.\n \tEnhanced application \tAn application that runs in enhanced mode when run on SNAKE. You can also run these applications on CTR. Running enhanced applications on CTR is equivalent to running on SNAKE in standard mode.\n",0]
,["Pages/Page_54698686.html","2. Types of Applications ",
"2. Types of Applications\n",0]
,["Pages/Page_54698686.html#PageId_54698687","2.1. Card-Based Software",
"You can develop the following types of 3DS applications.\n2.1. Card-Based Software\nThese applications combine ROM and save data and are written to a Nintendo 3DS Game Card. The packaged software sold in stores is one example of card-based software.\nThe following table shows where an application is saved, how large it is, and how it handles save data, extended save data, and e-manuals.\nTable 2-1. Characteristics of Card-Based Software\n \tItem \tDescription\n \tSave location \tNintendo 3DS Game Card\n \tSize \t Card1: Between 128 MB and 4 GB. (The actual usable size is different.)\n Card2: Between 512 MB and 2 GB. (Shared with save data.)\n \tSave location \tBackup region of a Game Card. (Differs from the ROM region.)\n \tSize \t Card1: Between 128 KB and 512 KB. (The actual usable size is different.)\n Card2: Specifiable in units of 1 MB (up to half the capacity of the card).\n \tExtended Save Data \tYes. (Extended save data can be deleted from the Extra Data Management screen.)\n \tE-manual support \tRequired\n Warning:\n Contact Nintendo at support@noa.com before using Card2.\n",0]
,["Pages/Page_54698686.html#PageId_54698688","2.2. Downloadable Applications",
"\n2.2. Downloadable Applications\nThese applications are imported to an SD card. Software that is purchased in Nintendo eShop and software that is downloaded via SpotPass are two examples of downloadable applications.\nThe following table shows where an application is saved, how large it is, and how it handles save data, extended save data, and e-manuals.\nTable 2-2. Characteristics of Downloadable Applications\n \tItem \tDescription\n \tSave location \tSD card\n \tSize \t A card application that supports download sales can be up to 4 GB.\n If an application is only available for sale by download, it can generally be up to 512 MB. (Contact Nintendo support at support@noa.com if you require a size greater than 512 MB.)\n \tSave location \tSD card. (A save data region is allocated when the application is imported. This region is deleted along with the downloadable application. You cannot delete the save data alone.)\n \tSize \tBetween128 KB and 512 KB. (The actual usable size is different.) If a larger size is required, contact Nintendo support at support@noa.com.\n \tExtended Save Data \tYes. (Extended save data is not deleted along with the application. However, it can be deleted from the Extra Data Management screen.)\n \tE-manual support \tRequired\n Warning:\n If you submit a master submission as a downloadable application (CIA file), you will not be able to request sales as a card-based application later. If you are considering dual distribution, submit the master submission as a card-based application (CCI file).\n",0]
,["Pages/Page_54698686.html#PageId_54698689","2.2.1. Importing Downloadable Applications",
"\n2.2.1. Importing Downloadable Applications\nTo run a downloadable application, you must first import it to an SD card.\nThe retail version of the application is imported after it has been completely downloaded from Nintendo eShop or elsewhere.\nYou can use either the DevMenu or the PARTNER-CTR software debugger to import an application during development.\nTo import an application with the DevMenu, you must first write its CIA file to an SD card.\nTo import an application with the PARTNER-CTR software, either load the CIA file (you can even use a drag-and-drop operation) or run the IMPORT command.\nTo import an application with the PARTNER-CTR software, either load the CIA file (you can even use a drag-and-drop operation) or run the IMPORT command.\n Note:\n For more information about how to use DevMenu, see the DevMenu page in the CTR Tools section of the CTR-SDK documentation.\n For more information about the PARTNER-CTR commands, see the PARTNER-CTR Debugger Manual.\n For more information about the IS-CTR-DEBUGGER commands, see the IS-CTR-DEBUGGER Help.\n",0]
,["Pages/Page_54698686.html#PageId_54698690","2.2.1.1. Importing and Overwriting Downloadable Applications",
"\n2.2.1.1. Importing and Overwriting Downloadable Applications\nAfter a downloadable application is imported, it is identified by its unique ID. After you have imported a downloadable application, you cannot import another downloadable application with the same unique ID unless it has a newer version, in which case the new application overwrites the existing one.\nSave data is normally preserved, even when an imported application overwrites an existing application. To prevent bugs from occurring, you must manage save data versions and other such information carefully. If the save data region for the application being imported is not the same size as the save data region for the application that has already been imported, the entire save data region will be cleared.\n Warning:\n You are prohibited from resizing save data when you change the retail version.\nUse the DevMenu or the Software Management screen under System Settings to delete downloadable applications that have been imported, when the save data region needs to be cleared, or before importing an earlier version of a downloadable application for debugging. Note that extended save data is not deleted along with a downloadable application.\n",0]
,["Pages/Page_54698686.html#PageId_83151976","2.2.2. Advance Download",
"\n2.2.2. Advance Download\nAn advance download function is used to enable a downloadable application to be purchased and downloaded from Nintendo eShop before its release date.\nSee the chapter about Advance Download in the 3DS Overview.\n",0]
,["Pages/Page_54698686.html#PageId_54698691","2.2.3. Demos",
"\n2.2.3. Demos\nA demo can be developed as a downloadable application.\nThe retail and demo versions of a downloadable application are imported as separate applications, even if they have the same unique ID. This means that you cannot transfer the demo's save data itself to the retail application, although you can share extended save data.\nUse caution when sharing extended save data, though. If the demo is started after starting the retail version of your application, the demo uses the data that was updated by the retail application.\nA demo's save data is deleted along with the demo, but extended save data is not.\n Note:\n For more information about the demo version, see Nintendo 3DS Demo Version Creation Instructions – Download Format.\n",0]
,["Pages/Page_54698686.html#PageId_54698692","2.2.4. Differences From Card-Based Software, WiiWare, and Nintendo DSiWare",
"\n2.2.4. Differences From Card-Based Software, WiiWare, and Nintendo DSiWare\nSee the chapter about downloadable applications in the 3DS Overview.\n",0]
,["Pages/Page_54698686.html#PageId_54698693","2.2.5. Importing TWL NAND Applications",
"\n2.2.5. Importing TWL NAND Applications\nYou can use the -srl option for ctr_makecia to create a CTR CIA file from an SRL file that was built as a TWL NAND application. This CIA file can be imported to an SD card just like a downloadable application.\nFor more information, see the reference for the ctr_makecia tool in the CTR-SDK documentation.\nSample Usage:\n ctr_makecia32.exe -srl MyTwlApp.srl -o MyTwlApp.cia\n Warning:\n Use a CIA file created from an SRL file to check the operations of a Nintendo DSiWare title on a 3DS system. After you have imported your application, you can use the PARTNER-CTR software to run it but not to debug it.\n",0]
,["Pages/Page_54698686.html#PageId_54698695","2.3. Client Programs",
"\n2.3. Client Programs\nHost devices distribute these applications to client devices via Download Play.\nThe following table shows where an application is saved, how large it is, and how it handles save data, extended save data, and e-manuals.\nTable 2-3. Characteristics of Client Programs\n \tItem \tDescription\n \tSave location \tSystem NAND memory. (Only a single program is saved at a time. Whenever a program is received, it overwrites the previous one. The same version of the same program is not re-downloaded.)\n \tSize \tUp to 32 MB (uncompressed).\n \tSave data \tNo\n \tExtended save data \tYes. (Extended save data is not deleted when a client program is overwritten. However, it can be deleted from the Extra Data Management screen.)\n \tE-manual support \tNot Required\n \tComments \tClient programs are not displayed in the HOME Menu. The banner (model and sound) is not required.\n Note:\n The configtool can be used to force the same version of the same program to be downloaded while debugging Download Play.\n Warning:\n Although a downloadable application can become a Download Play server, at this time it cannot start a system update on connected client devices. When a downloadable application is running on a host device, it silently rejects connections from any client device that needs a system update. Applications must display a message provided by Nintendo before they start Download Play.\n For more information, see the CTR-SDK API Reference for the DLP library.\nCONFIDENTIAL\n",0]
,["Pages/Page_54698696.html","3. Implementation Tips",
"3. Implementation Tips\nThis chapter provides cautions and other helpful information related to developing an application.\n",0]
,["Pages/Page_54698696.html#PageId_54698697","3.1. Initialization Before Starting an Application",
"3.1. Initialization Before Starting an Application\nAs explained in the CTR System Programming Guide, applications can implement their own versions of the following initialization processes that are run when an application is started.\n \t nninitStartUp() function definition \tC++ static initializers \tC static initializers\nThe nninitStartUp() function definition initializes memory-management features, and does so before the static initializers. This function is defined by a weak symbol. Applications can override it by defining a function with the same name.\nThe default implementation can be found in the nninitStartUpDefault() function in $CTRSDK_ROOT/sources/libraries/init/init_Default.cpp. Nintendo strongly recommends that you replace this function with your own implementation of the nninitStartup() function.\n",0]
,["Pages/Page_54698696.html#PageId_54698698","3.2. Entry Function",
"3.2. Entry Function\nThe nnMain() function is the entry (main) function of a program, and is called after initialization. This function implements the application process.\n When the nnMain() function exits, the application closes and control returns to the HOME Menu (or the development menu).\n",0]
,["Pages/Page_54698696.html#PageId_54698699","3.2.1. Handling Special Actions",
"3.2.1. Handling Special Actions\nApplications must handle the following actions.\n \tHOME Button presses. \tTransitions to Sleep Mode when the system is closed. \tPOWER Button presses.\nFor more information, see the 3DS Programming Manual: System.\nCONFIDENTIAL\n",0]
,["Pages/Page_54698700.html","4. Preparing to Build ",
"4. Preparing to Build\nThis chapter explains how to create the files that you need to prepare before you build your application (separate from programming-related concerns).\nThe following files must be prepared before the application is built.\n \tRSF file \tBSF file \tE-manual ",0]
,["Pages/Page_54698700.html#PageId_54698701","4.1. RSF Files",
"\n4.1. RSF Files\nAn RSF file is a settings file required to create CCI files and CXI files with ctr_makerom.\n",0]
,["Pages/Page_54698700.html#PageId_54698702","4.1.1. Required Settings",
"For more information, see the reference for the ctr_makerom tool in the CTR-SDK documentation.\n4.1.1. Required Settings\nThe following settings are required in order to create an application.\nTable 4-1. Required Settings to Create an Application\n \tSection \tSubsection \tSetting\n \tTitleInfo \tCategory \t Specify the value that corresponds to your application's type below.\n \tFor card-based software: Application \tFor downloadable applications: Application (For downloadable demos: Demo) \tFor client programs: DlpChild \tFor add-on content: AddOnContents\nIf you omit this setting, it is determined by the application type that is set by the DESC file when you build the application.\n \tUniqueId \t Specify the unique ID that was issued to you by Nintendo.\n Although you can specify a testing code (0xFF000–0xFF3FF) when you are testing and experimenting with your software, do not use the same ID for multiple applications.\n You must specify the same unique ID for hosts and clients to support Download Play.\n \tChildIndex \tWhen you create a client program to be distributed through Download Play, specify its index here.\n \tDemoIndex \tWhen you create a downloadable application demo version, specify its index (in the range from 1 to 255). For more information, see Nintendo 3DS Demo Version Creation Instructions – Download Format.\n \tVariation \tWhen you create add-on content, specify its index (in the range from 0 to 255).\n \tRom \tHostRoot \t Specify the directory that stores the files to include in your ROM.\n The specified directory is stored in the ROM archive as its root directory, along with all of the files and directories under it.\n Specify $(ROMFS_ROOT) to access the ROMFS_ROOT of the OMakefile.\n \tReject \t Specify the files and directories to exclude from your ROM.\n You can specify files with wildcard characters or regular expressions.\n \tSaveDataSize \t Specify the size of the save data area in nKB/nMB/nGB format.\n Specify 0KB to omit a save data area.\n \tCardInfo \tMediaType \t When you create a card application, specify the game card type (Card1/Card2).\n Specify Card2 for downloadable applications whose save data size exceeds 512 KB.\n When omitted, the default is Card1.\n Code 4-1. Sample RSF File (Required Settings)\n TitleInfo:\n Category: Application\n UniqueId: 0xFF3FF\nRom:\n HostRoot: $(ROMFS_ROOT)\n",0]
,["Pages/Page_54698700.html#PageId_54698703","4.1.2. Using Save Data",
"\n4.1.2. Using Save Data\nWhen your application uses save data, different items must be specified depending on the application type.\n Note:\n Applications cannot actually use the full size specified for the save data region, because a part of it is used as an internal buffer for the file system. For more information about how much of each save data region can actually be used, see the Worksheet for Calculating the Save Data File System Capacity in the CTR-SDK API Reference.\n You can also call the nn::fs::GetArchiveFreeBytes() function to get the amount of free archive space while your application is running.\n",0]
,["Pages/Page_54698700.html#PageId_54698704","4.1.2.1. Card Applications Using Card1 as the Game Card Type",
"\n4.1.2.1. Card Applications Using Card1 as the Game Card Type\nUse the following settings when using this game card type.\nTable 4-2. Settings for Applications That Use Save Data (Card Applications Using Card1)\n \tSection \tSubsection \tSetting\n \tRom \tSaveDataSize \tSpecify 0KB, 128KB, or 512KB.\n Code 4-2. Sample RSF File (Using Save Data With a Card1 Card Application)\n Rom:\n SaveDataSize: 512KB\n",0]
,["Pages/Page_54698700.html#PageId_54698705","4.1.2.2. Downloadable Application",
"\n4.1.2.2. Downloadable Application\nUse the following settings when using this game card type.\nTable 4-3. Settings for Applications That Use Save Data (Downloadable Application)\n \tSection \tSubsection \tSetting\n \tRom \tSaveDataSize \t It differs depending on the MediaType specified.\n Card1: Specify 0KB, 128KB, or 512KB.\n Card2: Specify in the format of nMB or nGB.\nContact support@noa.com in advance if exceeding 50 MB.\nIn addition, we recommend a setting of up to 512 KB for dedicated sales of downloadable applications and up to 20 MB for dual distribution with card applications.\n Code 4-3. Sample RSF File (Using Save Data With a Downloadable Application)\n Rom:\n SaveDataSize: 512KB\n",0]
,["Pages/Page_54698700.html#PageId_54698706","4.1.2.3. Card Applications Using Card2 as the Game Card Type",
"\n4.1.2.3. Card Applications Using Card2 as the Game Card Type\nUse the following settings when using this game card type.\nTable 4-4. Settings for Applications That Use Save Data (Card Applications Using Card2)\n \tSection \tSubsection \tSetting\n \tRom \tSaveDataSize \t Specify in the nMB or nGB format.\n This value must be entered only in units of 1 MB. In addition, the physical limit is half the value specified by BasicInfo / MediaSize.\n Code 4-4. Sample RSF File (Using Save Data With a Card2 Card Application)\n Rom:\n SaveDataSize: 32MB\n",0]
,["Pages/Page_54698700.html#PageId_54698707","4.1.2.4. Accessing the Save Data of Demo Versions",
"\n4.1.2.4. Accessing the Save Data of Demo Versions\nUse the following settings for applications that need to access save data created with a demo version.\nTable 4-5. Settings When Accessing the Save Data of Demo Versions\n \tSection \tSubsection \tSetting\n \tAccessControlInfo \tUseOtherVariationSaveData \t Specify true or false.\n Specify true to mount the demo version save data with nn::fs::MountDemoSaveData.\n If omitted, the default is false.\n Note:\n When specifying the AccessibleSaveDataIds value of AccessControlInfo, specifying true for UseOtherVariationSaveData is interpreted more broadly to allow access to application save data and extended save data, even if the application's unique ID is not included.\n",0]
,["Pages/Page_54698700.html#PageId_54698708","4.1.2.5. Accessing the Save Data of Other Applications",
"\n4.1.2.5. Accessing the Save Data of Other Applications\nUse the following settings for applications that need to access the save data of other applications.\nTable 4-6. Settings When Accessing the Save Data of Other Applications\n \tSection \tSubsection \tSetting\n \tAccessControlInfo \tAccessibleSaveDataIds \t Specify the save data unique ID and the extended save data ID that you want to access in the list of unique IDs. You can specify a maximum of six.\n You can access save data (including demo versions) with a unique ID that matches the specified ID and extended save data with an extended save data ID that matches the specified ID.\n Using these settings results in a broader interpretation of UseOtherVariationSaveData. For more information, see 4.1.2.4. Accessing the Save Data of Demo Versions.\n \t OtherUserSaveDataId1\n OtherUserSaveDataId2\n OtherUserSaveDataId3\n \t You can specify up to three unique IDs for save data to access. For save data with the same unique ID as the application, specify true for UseOtherVariationSaveData to use this without having to include the save data unique ID in these settings.\n These settings cannot be used when specifying AccessibleSaveDataIds.\n",0]
,["Pages/Page_54698700.html#PageId_54698709","4.1.3. Using Extended Save Data",
"\n4.1.3. Using Extended Save Data\nConfigure the following settings when your application uses extended save data.\nTable 4-7. Settings for Applications That Use Extended Save Data\n \tSection \tSubsection \tSetting\n \tAccessControlInfo \tAccessibleSaveDataIds \t Specify the save data unique ID and the extended save data ID that you want to access in the list of unique IDs. You can specify a maximum of six.\n You can access save data (including demo versions) with a unique ID that matches the specified ID and extended save data with an extended save data ID that matches the specified ID.\n If the application unique ID is included in these settings, you can access the extended save data regardless of the value specified for UseOtherVariationSaveData.\n Using these settings results in a broader interpretation of UseOtherVariationSaveData. For more information, see 4.1.2.4. Accessing the Save Data of Demo Versions.\n \tAccessControlInfo \tUseExtSaveData \t Specify true.\n These settings cannot be used when specifying AccessibleSaveDataIds.\n \tExtSaveDataNumber \t You normally specify your application's unique ID.\n If your application shares extended save data, specify the shared ID (the unique ID of the title with which data is shared).\n For example, if your title is a sequel to another title with which it shares extended save data, specify the original title's unique ID.\n These settings cannot be used when specifying AccessibleSaveDataIds.\n Code 4-5. Sample RSF File (Extended Save Data)\n AccessControlInfo:\n AccessibleSaveDataIds:\n - 0xFF3FF\nIn the following cases, a new extended save data number is required that does not duplicate the unique ID of any application.\n \tMultiple applications have their own extended save data, and you want to use separate extended save data for sharing. \tA patch has been applied, and you want to add a new file to the extended save data, but the maximum number of files and directories that can be saved in the existing extended save data has been reached. \tYou want to use multiple extended save data items with a single application independent of other applications for some other reason.\nContact Nintendo support at support@noa.com if you want to acquire a new extended save data number for one of these cases.\n Note:\n If you specify AccessibleSaveDataIds of AccessControlInfo, the UseExtSaveData and ExtSaveDataNumber specifications cannot be used. In this case, they can be used by including the extended save data ID of the extended save data to be accessed in AccessibleSaveDataIds, or by specifying true in UseOtherVariationSaveData if that extended save data ID and the application unique ID match.\n Warning:\n The SD card can be accessed directly when the file system access attribute (FileSystemAccess in AccessControlInfo) is set to Debug. As a side effect, you can access data that cannot be accessed by a retail version, including save data and extended save data of other applications not specified in AccessibleSaveDataIds, save data from other applications not specified in OtherUserSaveDataID*, and extended save data not specified in ExtSaveDataNumber. Consequently, do not specify Debug while testing operations.\n",0]
,["Pages/Page_54698700.html#PageId_54698710","4.1.4. Settings for Creating a Master ROM to Submit",
"\n4.1.4. Settings for Creating a Master ROM to Submit\nWhen creating a master ROM for submission, you must add the following settings or change the values that were specified when developing the application.\nTable 4-8. Settings for Creating a Master ROM to Submit\n \tSection \tSubsection \tSetting\n \tBasicInfo \tTitle \t Specify the title of your application.\n Specify $(TITLE) to access the TITLE of OMakefile.\n \tProductCode \tSpecify the product code and downloadable content code issued to you by Nintendo.\n \tMediaSize \t Specify the media size.\n If MediaType is Card1, specify a value of 128MB, 256MB, 512MB, 1GB, 2GB, or 4GB.\n If MediaType is Card2, specify a value of 512MB, 1GB, or 2GB.\n For downloadable applications, specify the value that would be required if it were a card-based application.\n \tLogo \t Specify the logo data type.\n \tNintendo titles: Nintendo \tTitles for which Nintendo has acquired a publishing license: Distributed \tLicensee titles: Licensed\n \tTitleInfo \tUniqueId \t Specify the unique ID that was issued to you by Nintendo.\n If you were using a prototype code, check the value specified for ExtSaveDataNumber under AccessControlInfo.\n Code 4-6. Sample RSF File (for Master ROM Submission)\n BasicInfo:\n Title: $(TITLE)\n ProductCode: \"CTR-A-00001\"\n MediaSize: 512MB\n Logo: Licensed\nTitleInfo:\n UniqueId: 0x41001\n",0]
,["Pages/Page_54698700.html#PageId_54698711","4.1.5. Remaster Version Settings",
"\n4.1.5. Remaster Version Settings\nYou must update the remaster version when you modify an application that has already been released.\nYou cannot update the remaster version in card-based software that has already been released, but you can update the version in downloadable applications that are being played by users.\nTable 4-9. Remaster Version Settings\n \tSection \tSubsection \tContent\n \tSystemControlInfo \tRemasterVersion \tSpecify the remaster version of the CXI file.\n Code 4-7. Sample RSF File (Remaster Version)\n SystemControlInfo:\n RemasterVersion: 1\nThis CXI remaster version is used unchanged as a downloadable application's version. A downloadable application's version is 1 if its CXI remaster version is 1. A downloadable application's version is incremented by one every time its CXI version is updated after the application has been released.\nSave data is preserved when the version is updated. You must implement new versions of your downloadable application to appropriately handle save data from all previously released versions of the application. Handle this either by never changing the save data format, or by embedding the version number in the save data and automatically making any necessary data format changes when you upgrade.\nDo not change the following RSF settings before and after you update your downloadable application's version.\nTable 4-10. Settings That You Must Not Change When You Update a Downloadable Application's Version\n \tSection \tSubsection \tContent\n \tBasicInfo \tTitle \tApplication title\n \tProductCode \tProduct code\n \tTitleInfo \tUniqueId \tUnique ID\n \tRom \tSaveDataSize \tSize of the save data region\n",0]
,["Pages/Page_54698700.html#PageId_54698712","4.2. BSF Files",
"\n4.2. BSF Files\nA BSF file is the settings file required to create ICN (icon data) and BNR (banner data) files with ctr_makebanner.\nUse the BSF file to specify the icon file, model file, and sound file used to create both icon and banner data. You must create these files in advance.\nUse CTPK files created by ctr_TexturePackager as the icon files to specify for LittleIconFile and BigIconFile.\nUse a CBMD file created by ctr_BannerModelConverter as the model file to specify for ModelFile.\nUse a BCWAV file created by ctr_WaveConverter as the sound file to specify for SoundFile.\nA BSF file also has other application settings, such as the card region and title, which is displayed on the HOME Menu and elsewhere.\nFor more information, see the reference for the ctr_makebanner tool in the CTR-SDK documentation.\n Note:\n You do not need to prepare a model file and sound file for a client program, which does not require a BNR file.\nCode 4-8. Sample BSF File\n LittleIconFile: resources/little.ctpk\nBigIconFile: resources/big.ctpk\nModelFile: resources/model.cbmd\nSoundFile: resources/sound.bcwav\nRegion: Japan\nUlcd: True\nAutoSave: False\nSaveData: True\nThumbnailFrame: 0\nRatingRequired: True\nCERO: 12\nJPLongName: Test application\nJPShortName: Test application\nJPPublisher: Test\nENLongName: TestApplication\nENShortName: TestApplication\nENPublisher: Test\n",0]
,["Pages/Page_54698700.html#PageId_54698713","4.3. E-Manuals",
"\n4.3. E-Manuals\nUse CTR-ManualTools to create e-manual files. Note that an e-manual included in an application must have the filename Manual.bcma.\nThe size of the e-manual’s binary file (BCMA file) is a maximum of 6656 KB per language.\nFor more information, see the CTR-ManualTools documentation.\n",0]
,["Pages/Page_54698714.html","5. Building ",
"5. Building\nThe following figure provides an overview of the workflow for building an application.\n",0]
,["Pages/Page_54698714.html#PageId_54698715","5.1. Using the CTR-SDK Build System",
"For more information about the processing and files that are required to build an application, see the CTR Guide to Developing a Build System.\nFigure 5-1. Overview of the Steps for Building an Application\nSource Files / armcc / Only for applications that support Download Play / CI File (Client Program) / Object Files / Bannder Data / BSD Files / makeciaarchive / armlink / makebanner / CFA File / AXF File / ICN File / BNR File / Files to include in the ROM archive / E-manual (Manual.bcma) / makerom / RSF File / CXI File / makecia / CCI File (Card Applications) / CIA File (Downloadable Applications) / CIA File (Client Applications) Files preprared by developers / Files generated by tools / Tools\n5.1. Using the CTR-SDK Build System\nIf you are using the CTR-SDK's build system, you can configure environment variables, build options, and build variables in an OMakefile, and run omake to easily generate an executable file for your application. Simply change the value specified for CTR_APPTYPE and a few other settings to create a downloadable application, instead of card-based software.\nIf you have specified a BSF file specified with CTR_BANNER_SPEC in your OMakefile, the ICN and BNR files to specify for CTR_BANNER are generated based on the BSF file when you build your application. The CTR_BANNER, CTR_ICON, CTR_NO_BANNER, and CTR_NO_ICON values, even when set, are ignored when CTR_BANNER_SPEC is set.\n",0]
,["Pages/Page_54698714.html#PageId_54698716","5.1.1. Creating Card-Based Applications",
"For more information, see the Build Rules page in the CTR-SDK documentation.\n5.1.1. Creating Card-Based Applications\nThe following table shows both required and recommended OMakefile settings for building card-based applications.\nTable 5-1. OMakefile Settings for Building Card-Based Applications\n \tSetting \tDescription\n \tCTR_APPTYPE \tCARD\n \tDESCRIPTOR \t $(CTRSDK_ROOT)/resources/specfiles/Application.desc (standard applications)\n $(CTRSDK_ROOT)/resources/specfiles/ExtApplication.desc (extended applications)\n \tROM_SPEC_FILE \tSpecify an RSF file.\n \tCTR_BANNER \tSpecify a BNR file.\n \tCTR_ICON \tSpecify an ICN file.\n \tMANUAL_DIR \tSpecify a directory where files for an e-manual are stored.\n \tCHILD_APPS[] \tSpecify one or more CIA files to distribute as client programs if your application supports Download Play.\n Code 5-1. Sample OMakefile (for Card-Based Applications)\n SUPPORTED_TARGETS = CTR-TS.Process.MPCore.*\nOmitted (header files, source files, libraries, shaders...)\nTARGET_PROGRAM = MyApp\nTITLE = MyApp\nCTR_APPTYPE = CARD\nDESCRIPTOR = $(CTRSDK_ROOT)/resources/specfiles/Application.desc\nROM_SPEC_FILE = MyApp.rsf\nCTR_BANNER = MyApp.bnr\nCTR_ICON = MyApp.icn\nROMFS_ROOT = romfiles\nMANUAL_DIR = manual\nCHILD_APPS[] =\n ../MyChildApp/images/$(BUILD_TARGET_DIR)/$(BUILD_TYPE_DIR)/MyChildApp.cia\ninclude $(ROOT_OMAKE)/modulerules\nbuild: $(DEFAULT_TARGETS)\nFor settings not included in the table, see the Build Rules page in the CTR-SDK documentation.\n",0]
,["Pages/Page_54698714.html#PageId_54698717","5.1.2. Creating Downloadable Applications",
"\n5.1.2. Creating Downloadable Applications\nThe following table shows both required and recommended OMakefile settings for building downloadable applications.\nTable 5-2. OMakefile Settings for Building Downloadable Applications\n \tSetting \tDescription\n \tCTR_APPTYPE \tSD\n \tDESCRIPTOR \t $(CTRSDK_ROOT)/resources/specfiles/Application.desc (standard applications, full version)\n $(CTRSDK_ROOT)/resources/specfiles/DemoVersion.desc (standard applications, demo version)\n $(CTRSDK_ROOT)/resources/specfiles/ExtApplication.desc (extended applications, full version)\n $(CTRSDK_ROOT)/resources/specfiles/ExtDemoVersion.desc (standard applications, demo version)\n \tROM_SPEC_FILE \tSpecify an RSF file.\n \tCTR_BANNER \tSpecify a BNR file.\n \tCTR_ICON \tSpecify an ICN file.\n \tMANUAL_DIR \tSpecify a directory where files for an e-manual are stored.\n \tMANUAL_DISCLOSURE \t Specify public to make e-manuals viewable for advance downloads. This directory does not need to be specified if the manual is not going to be viewable.\n \tCHILD_APPS[] \tSpecify one or more CIA files to distribute as client programs if your application supports Download Play.\n Code 5-2. Sample OMakefile (for Downloadable Applications)\n SUPPORTED_TARGETS = CTR-TS.Process.MPCore.*\nOmitted (header files, source files, libraries, shaders...)\nTARGET_PROGRAM = MyDownloadApp\nTITLE = MyApp\nCTR_APPTYPE = SD\nDESCRIPTOR = $(CTRSDK_ROOT)/resources/specfiles/Application.desc\nROM_SPEC_FILE = MyDownloadApp.rsf\nCTR_BANNER = MyDownloadApp.bnr\nCTR_ICON = MyDownloadApp.icn\nROMFS_ROOT = romfiles\nMANUAL_DIR = manual\nMANUAL_DISCLOSURE = public\nCHILD_APPS[] =\n ../MyChildApp/images/$(BUILD_TARGET_DIR)/$(BUILD_TYPE_DIR)/MyChildApp.cia\ninclude $(ROOT_OMAKE)/modulerules\nbuild: $(DEFAULT_TARGETS)\nFor settings not included in the table, see the Build Rules page in the CTR-SDK documentation.\n",0]
,["Pages/Page_54698714.html#PageId_54698718","5.1.3. Creating Client Programs",
"\n5.1.3. Creating Client Programs\nThe following table shows both required and recommended OMakefile settings for building client programs.\nTable 5-3. OMakefile Settings for Building Client Programs\n \tSetting \tDescription\n \tCTR_APPTYPE \tNAND\n \tDESCRIPTOR \t $(CTRSDK_ROOT)/resources/specfiles/DlpChild.desc (standard applications)\n Note: You cannot create client programs for extended applications.\n \tROM_SPEC_FILE \tSpecify an RSF file.\n \tCTR_NO_BANNER \ttrue\n \tCTR_ICON \tSpecify an ICN file.\n Code 5-3. Sample OMakefile (for Client Programs)\n SUPPORTED_TARGETS = CTR-TS.Process.MPCore.*\nOmitted (header files, source files, libraries, shaders...)\nTARGET_PROGRAM = MyChildApp\nTITLE = ChildApp\nCTR_APPTYPE = NAND\nDESCRIPTOR = $(CTRSDK_ROOT)/resources/specfiles/DlpChild.desc\nROM_SPEC_FILE = MyChildApp.rsf\nCTR_NO_BANNER = true\nCTR_ICON = MyChildApp.icn\nROMFS_ROOT = romfiles\ninclude $(ROOT_OMAKE)/modulerules\nbuild: $(DEFAULT_TARGETS)\nFor settings not included in the table, see the Build Rules page in the CTR-SDK documentation.\n",0]
,["Pages/Page_54698714.html#PageId_54698719","5.2. Using Your Own Build System",
"\n5.2. Using Your Own Build System\nThis section describes the required steps to create an application when using your own build system instead of the build system provided with the CTR-SDK.\n",0]
,["Pages/Page_54698714.html#PageId_54698720","5.2.1. Creating AXF Files",
"For more information, see Guide to Developing a Build System in the CTR-SDK documentation.\n5.2.1. Creating AXF Files\nUse armlink to link the object files and library files compiled with armcc, and create the AXF file.\nSample Usage:\n armlink --datacompressor off --keep=nnMain \\\n--scatter=$CTRSDK_ROOT/resources/specfiles/linker/CTR.Process.MPCore.ldscript \\\n-o MyApp.axf MyApp.o MyAppLib.a ...\nFor more information, see the ARMCC documentation and Guide to Developing a Build System in the CTR-SDK documentation.\n",0]
,["Pages/Page_54698714.html#PageId_54698722","5.2.2. Creating ICN Files and BNR Files",
"\n5.2.2. Creating ICN Files and BNR Files\nCreate the icon and banner files used in the application.\nSample Usage:\n ctr_makebanner32.exe MyApp.bsf\nIf the only argument specified is a BSF file, the ICN file and BNR file are created with the same name as the BSF file, except for the different filename extensions. This example would create two files, MyApp.icn and MyApp.bnr.\nFor more information, see 4.2. BSF Files and the reference for the ctr_makebanner tool in the CTR-SDK documentation.\n",0]
,["Pages/Page_54698714.html#PageId_54698724","5.2.3. Creating E-Manual CFA Files",
"\n5.2.3. Creating E-Manual CFA Files\nRun ctr_makerom32.exe with the following options to create the CFA file for the e-manual included with your application. You must first use CTR-ManualTools to create the Manual.bcma files for the e-manual.\n \t-f data \t-rsf $CTRSDK_ROOT/resources/specfiles/Manual.rsf \t-DROMFS_ROOT=<Directory where e-manual files (Manual.bcma) are stored> \t-DMANUAL_DISCLOSURE=<true to make e-manual viewable with advance download, or false if not> \t-o <Name of CFA file to create>\nSample Usage:\n ctr_makerom32.exe -DROMFS_ROOT=manual_dir -DMANUAL_DISCLOSURE=true -f data \\\n-rsf $CTRSDK_ROOT/resources/specfiles/Manual.rsf -o Manual.cfa\nFor more information, see 4.3. E-Manuals and the reference for the ctr_makerom tool in the CTR-SDK documentation.\n",0]
,["Pages/Page_54698714.html#PageId_54698726","5.2.4. Creating Card-Based Applications",
"\n5.2.4. Creating Card-Based Applications\n",0]
,["Pages/Page_54698714.html#PageId_54698727","5.2.4.1. Creating CCI Files",
"CCI files are the final ROM image format for card-based applications. These files are used for debugging or for ROMs to be submitted as masters.\n5.2.4.1. Creating CCI Files\nYou need the following files to create a CCI file.\n \tAXF file \tDESC files (included in CTR-SDK) \tRSF file \tICN files \tBNR files \tE-manual CFA files (when supporting an e-manual) \tClient program CFA files (when supporting Download Play)\nRun ctr_makerom32.exe with the following options to create the CCI file.\n \t-f card \t-rsf <RSF file> \t-desc $CTRSDK_ROOT/resources/specfiles/Application.desc \tFor extended applications: -desc $CTRSDK_ROOT/resources/specfiles/ExtApplication.desc\n \t-icon <ICN file> \t-banner <BNR file> \t-content <CFA file>:<Index> \tSpecify 1 for the index value if the CFA file is for an e-manual. \tSpecify 2 for the index value if the CFA file is for a client program.\n \t-o <Name of CCI file to create>\nFor more information, see the reference for the ctr_makerom tool in the CTR-SDK documentation.\nSample Usage:\n ctr_makerom32.exe MyApp.axf -f card -rsf MyApp.rsf \\\n-desc $CTRSDK_ROOT/resources/specfiles/Application.desc \\\n-icon MyApp.icn -banner MyApp.bnr \\\n-content Manual.cfa:1 -content MyChildApp.cfa:2 \\\n-o MyApp.cci\n",0]
,["Pages/Page_54698714.html#PageId_54698728","5.2.5. Creating Downloadable Applications",
"\n5.2.5. Creating Downloadable Applications\nCIA files are the final ROM image format for downloadable applications. These files are used for debugging or for ROMs to be submitted as masters.\n",0]
,["Pages/Page_54698714.html#PageId_54698729","5.2.5.1. Creating CXI Files",
"You must first create a CXI file before you can create a CIA file.\n5.2.5.1. Creating CXI Files\nYou need the following files to create a CXI file.\n \tAXF file \tDESC files (included in CTR-SDK) \tRSF file \tICN files \tBNR files\nRun ctr_makerom32.exe with the following options to create the CXI file.\n \t-f exec \t-rsf <RSF file> \t-desc $CTRSDK_ROOT/resources/specfiles/Application.desc \tFor demo versions of standard applications: -desc $CTRSDK_ROOT/resources/specfiles/DemoVersion.desc \tFor extended applications: -desc $CTRSDK_ROOT/resources/specfiles/ExtApplication.desc \tFor demo versions of extended applications: -desc $CTRSDK_ROOT/resources/specfiles/ExtDemoVersion.desc\n \t-icon <ICN file> \t-banner <BNR file> \t-o <Name of CXI file to create>\nFor more information, see the reference for the ctr_makerom tool in the CTR-SDK documentation.\nSample Usage:\n ctr_makerom32.exe MyDownloadApp.axf -f exec -rsf MyApp.rsf \\\n-desc $CTRSDK_ROOT/resources/specfiles/Application.desc \\\n-icon MyApp.icn -banner MyApp.bnr \\\n-o MyDownloadApp.cxi\n",0]
,["Pages/Page_54698714.html#PageId_54698730","5.2.5.2. Creating CIA Files",
"\n5.2.5.2. Creating CIA Files\nYou need the following files to create a CIA file.\n \tCXI file \tE-manual CFA file \tClient program CFA files (when supporting Download Play)\nRun ctr_makecia32.exe with the following options to create the CIA file.\n \t-i <CXI file> \t-man <E-manual CFA file> \t-i <Client program CFA file>:2 (You must specify the index value.) \t-o <Name of CIA file to create>\nFor more information, see the reference for the ctr_makecia tool in the CTR-SDK documentation.\nSample Usage:\n ctr_makecia32.exe -i MyDownloadApp.cxi -man Manual.cfa -o MyDownloadApp.cia\n",0]
,["Pages/Page_54698714.html#PageId_54698731","5.2.6. Creating Client Programs",
"\n5.2.6. Creating Client Programs\nClient programs included with card-based applications or downloadable applications are bundled into a single CFA file, as specified in the options when creating the card-based application or downloadable application.\n",0]
,["Pages/Page_54698714.html#PageId_54698732","5.2.6.1. Creating CXI Files",
"You must first create the CIA file before you can create a CFA file, and to create the CIA file, you must first create a CXI file. In order, create the CXI file, create the CIA file, and then create the CFA file.\n5.2.6.1. Creating CXI Files\nYou need the following files to create a CXI file. Banners are not displayed, so you do not need a BNR file.\n \tAXF file \tDESC files (included in CTR-SDK) \tRSF file \tICN files\nRun ctr_makerom32.exe with the following options to create the CXI file.\n \t-f exec \t-rsf <RSF file> \t-desc $CTRSDK_ROOT/resources/specfiles/DlpChild.desc \t-icon <ICN file> \t-o <Name of CXI file to create>\nFor more information, see the reference for the ctr_makerom tool in the CTR-SDK documentation.\nSample Usage:\n ctr_makerom32.exe MyChildApp.axf -f exec -rsf MyChildApp.rsf \\\n-desc $CTRSDK_ROOT/resources/specfiles/DlpChild.desc \\\n-icon MyChildApp.icn \\\n-o MyChildApp.cxi\n",0]
,["Pages/Page_54698714.html#PageId_54698733","5.2.6.2. Creating CIA Files",
"\n5.2.6.2. Creating CIA Files\nYou need the following files to create a CIA file.\n \tCXI file\nRun ctr_makecia32.exe with the following options to create the CIA file.\n \t-i <CXI file> \t-o <Name of CIA file to create>\nFor more information, see the reference for the ctr_makecia tool in the CTR-SDK documentation.\nSample Usage:\n ctr_makecia32.exe -i MyChildApp.cxi -o MyChildApp.cia\n",0]
,["Pages/Page_54698714.html#PageId_54698734","5.2.6.3. Creating CFA Files",
"\n5.2.6.3. Creating CFA Files\nYou need the following files to create a CFA file.\n \tAll CIA files for client programs to distribute\nRun ctr_makeciaarchive32.exe with the following options to create the CFA file. Client programs distributed for Download Play are bundled into a single CFA file.\n \t-cia <List of client program CIA files> \t-o <Name of CFA file to create>\nFor more information, see the reference for the ctr_makeciaarchive tool in the CTR-SDK documentation.\nSample Usage:\n ctr_makeciaarchive32.exe -cia MyChildApp.cia -o MyChildApp.cfa\nThis CFA file is used when creating a card-based application with the -content option (index 2), or when creating a downloadable application with the -i option (index 2).\n",0]
,["Pages/Page_54698735.html","6. Debugging ",
"6. Debugging\nUse the following combinations of hardware and debugging software to debug.\nTable 6-1. Combinations of Hardware and Debugging Software to Use for Debugging\n \tHardware \tDebugging Software \t3DS Application \tSNAKE-Compatible Application\n \tPARTNER-CTR Debugger \tPARTNER-CTR \t○ \t×\n \tIS-SNAKE-BOX \tIS-CTR-DEBUGGER \t○ \t○\n ",0]
,["Pages/Page_54698735.html#PageId_54698736","6.1. Debugging Methods According to the Menu Displayed at Startup",
"6.1. Debugging Methods According to the Menu Displayed at Startup\n",0]
,["Pages/Page_54698735.html#PageId_54698737","6.1.1. Starting Your Application From the Development Menu",
"You can switch the menu that is displayed when you start PARTNER-CTR Debugger or IS-SNAKE-BOX. To switch the menu, from Config Tools, select Menu Settings > Menu. How you debug applications differs depending on the menu that is displayed.\n6.1.1. Starting Your Application From the Development Menu\nFor normal debugging, you load a CCI file or CIA file into PARTNER-CTR or IS-CTR-DEBUGGER. This is the recommended debugging method, as it allows you to start debugging right after starting.\nHowever, card-based applications written to a CTR flash card cannot be debugged when started from the development menu, unless they are started in the same way as when starting from the HOME Menu. This is also the case when starting downloadable applications from the DevMenu.\n",0]
,["Pages/Page_54698735.html#PageId_54698738","6.1.2. Starting Your Application From the HOME Menu",
"\n6.1.2. Starting Your Application From the HOME Menu\nStarting from the HOME Menu does not happen via the debugging software, so you cannot debug this way without carrying out additional steps.\nUse the following procedure to debug applications started from the HOME Menu. (This procedure allows you to debug both card-based applications, and downloadable applications that have been imported into an SD card.)\n",0]
,["Pages/Page_54698735.html#Anchor_54698738_【PARTNER-CTRを使用する場合】","Using PARTNER-CTR",
"Using PARTNER-CTR\n Note:\n Reset to have the HOME Menu display applications loaded into the PARTNER-CTR emulation memory.\n \tStart PARTNER-CTR. \tStart the application from the HOME Menu. \tRun the ATTACHA command in the PARTNER-CTR command window.\n> ATTACHA \tRun the LS command to load the symbol file.\n> LS MyApplicaton.axf\nThis results in debugging an application that has already started, so you cannot debug anything at start or immediately thereafter.\nFor more information about the PARTNER-CTR commands, see the PARTNER-CTR Debugger Manual.\n",0]
,["Pages/Page_54698735.html#Anchor_54698738_【IS-CTR-DEBUGGERを使用する場合】","Using IS-CTR-DEBUGGER",
"Using IS-CTR-DEBUGGER\n Note:\n You can display on the HOME Menu even when loading a CCI file or CIA file in IS-CTR-DEBUGGER.\n \tStart IS-CTR-DEBUGGER. \tStart the application from the HOME Menu. \tOn the IS-CTR-DEBUGGER menu, select Debug > Attach to Running Program. \tOn the IS-CTR-DEBUGGER menu, select File > Open and load an AXF file.\nThis results in debugging an application that has already started, so you cannot debug anything at start or immediately thereafter.\n",0]
,["Pages/Page_54698735.html#PageId_54698739","6.2. Starting the CIA File With Debugger Software",
"\n6.2. Starting the CIA File With Debugger Software\nWhen loading the CIA file directly with the debugging software, a C8804478 error may occur. This occurs when there is no CXI file in the same directory as the CIA file, and when the application is not using the default unique ID.\nYou must support either of the following if you want to run a CIA file directly from the debugging software.\n \tBuilding the application using the default unique ID \tPlacing a CXI file in the same directory as the CIA file\nCONFIDENTIAL\n",0]
,["Pages/Page_54698740.html","7. Using DLLs (Dynamic Modules)",
"7. Using DLLs (Dynamic Modules)\nYou can not only use DLLs to reduce your program's memory consumption, but also to shorten start times (during which the Nintendo 3DS logo is visible) because only a static module is loaded when the program starts.\n",0]
,["Pages/Page_54698740.html#PageId_54698742","7.1. Implementation",
"7.1. Implementation\nIf DLLs are not used, you can implement your entire application in a single (main) program. If DLLs are used, you can split your implementation between several dynamic modules that are loaded into memory on demand. If you split your implementation into small dynamic modules that are too fine-grained, however, it will take a long time to load the modules and the frequent switching between modules could complicate memory management.\nFor more information, see DLL Manual in the CTR-SDK documentation and 3DS Programming Manual: System.\n",0]
,["Pages/Page_54698740.html#PageId_54698743","7.2. Preparing to Build",
"7.2. Preparing to Build\nFollow the same procedure described in 4. Preparing to Build.\n",0]
,["Pages/Page_54698740.html#PageId_54698744","7.3. Building",
"7.3. Building\n",0]
,["Pages/Page_54698740.html#PageId_54698745","7.3.1. Using the CTR-SDK Build System",
"7.3.1. Using the CTR-SDK Build System\nYou can easily build an application that supports dynamic modules by simply paying attention to how your modules' source code is structured and what you put into your OMakefile. Note, however, that a separate build directory must be created for each module, distributing the individual source files and OMakefiles so that the application (static module) has the same parent directory as the dynamic modules.\nThe following settings have been added to the OMakefile to build dynamic modules.\n Table 7-1. Additional Settings for Building Dynamic Modules\n \tSetting \tDescription\n \tTARGET_MODULE \tSpecify the name of the dynamic module.\n \tMODULE_LIST \tSpecify all static and dynamic modules except for this one.\n \tMODULE_EXPORT_TYPE \t Specify the type of data that is exported from the dynamic module.\n \tSYMBOL: Names (default) \tINDEX: Indices \tOFFSET: Offsets\n \tMODULE_ENABLE_OFFSET \tThis has a default value of true, which requires all modules to be built at the same time. When this is false, you can build modules at any time, but you will no longer be able to specify offsets as the type of data to export.\n \tMODULE_ADD_DEBUG_INFO \tSpecifies whether to include the CRO file’s debug information along with the CRR file to be created. The default setting is \"true\" so source debugging can be performed by the debugger. If the setting is \"false\", source debugging cannot be performed. You cannot debug when this is set to false, but the size of the CRR file will be smaller.\n You do not need to specify an RSF, ICN, BNR, or DESC files when you build a dynamic module. Note that you specify a dynamic module's name in TARGET_MODULE instead of TARGET_PROGRAM. A CRO file is generated when you build a dynamic module.\n Code 7-1. Sample OMakefile for a Dynamic Module\n TARGET_MODULE = Module1\nMODULE_LIST = ../App ../Module2\nSOURCES = module.cpp\ninclude $(ROOT_OMAKE)/modulerules\nbuild: $(DEFAULT_TARGETS)\nTo build a static module, simply add MODULE_LIST to the normal build settings. A CRS and CRR file are generated when you build a static module.\n Code 7-2. Sample Setting Added to an Application's OMakefile\n MODULE_LIST = ../Module1 ../Module2\nA ROM archive must include the CRO, CRS, and CRR files that are generated. The CRO and CRS files do not need to be placed anywhere in particular, and they can be either compressed or uncompressed. The .crr directory that is generated directly under the root directory must only contain one uncompressed CRR file and nothing else.\nWith the following sample OMakefile, OMake will automatically store each file when you build an application that uses dynamic modules.\n Code 7-3. Sample OMakefile for Automatically Storing Files in a Dynamic Module\n MODULE_NAMES = Module1 Module2\nMODULES_ROOT = ../\nMODULE_CRO = $(addprefix $(ROMFS_ROOT)/, $(addsuffix .cro, $(MODULE_NAMES)))\nSTATIC_CRS = $(ROMFS_ROOT)/static.crs\nSTATIC_CRR = $(ROMFS_ROOT)/.crr/static.crr\nROMFS_DEPENDENCIES = $(MODULE_CRO) $`(STATIC_CRS) $`(STATIC_CRR)\nforeach(TARGET, $(BUILDER.getTargets $(SUPPORTED_TARGETS)))\n foreach(module, $(MODULE_NAMES))\n src = $(file $(TARGET.getImageDirectoryOf $(MODULES_ROOT)$(module))/$(module).cro)\n dst = $(addprefix $(ROMFS_ROOT)/, $(addsuffix .cro, $(module)))\n $(dst) : $(src)\n cp $< $@\n $(STATIC_CRS): $(TARGET.getImageDirectory false)/$(TARGET_PROGRAM).crs\n cp $< $@\n $(STATIC_CRR): $(TARGET.getImageDirectory false)/$(TARGET_PROGRAM).crr\n mkdir -p $(dirname $@)\n cp $< $@\nFor more information, see the CTR-SDK Build System Manual (for DLLs).\n",0]
,["Pages/Page_54698740.html#PageId_54698746","7.3.2. Using Your Own Build System",
"7.3.2. Using Your Own Build System\nTo build dynamic modules without using the build system provided by the CTR-SDK, you must add partial linking, symbol resolution, and other special processing.\nFor more information, see Guide to Developing a Build System (for DLLs) in the CTR-SDK documentation.\n",0]
,["Pages/Page_54698740.html#PageId_54698747","7.4. Debugging",
"7.4. Debugging\nWhen building an application, source debugging can be performed using the debugger if the CRO file’s debug information is included along with the CRR file.\nFor more information about the methods of including the CRO file’s debug information with the CRR file, see 7.3.1. Using the CTR-SDK Build System and the CTR-SDK Build System Manual (for DLLs).\nCONFIDENTIAL\n",0]
,["Pages/Page_54698748.html","8. Developing Card Applications That Can Be Sold via Download ",
"8. Developing Card Applications That Can Be Sold via Download\nEver since Nintendo started developing the CTR system, one of its goals has been to enable all card applications to also be sold from Nintendo eShop, without modification. Nintendo designed the CTR-SDK to minimize the amount of separate code that must be written for card-based software and downloadable applications, and whenever possible, the requirements in the Guidelines are the same for both versions of the application.\nThis chapter describes the steps required to sell the same application both as a card-based software application and a downloadable application (this is called \"dual distribution\"). It describes the procedures for two different scenarios: when you are developing a new application for dual distribution, and when you have already developed a card application, and want to offer if for sale via download. It also describes the steps to take when you need to revise your application.\n Warning:\n If you submit a master submission as a downloadable application (CIA file), you will not be able to request sales as a card-based application later. If you are considering dual distribution, submit the master submission as a card-based application (CCI file).\n",0]
,["Pages/Page_54698748.html#PageId_54698749","8.1. Developing a New Application for Dual Distribution",
"\n8.1. Developing a New Application for Dual Distribution\n",0]
,["Pages/Page_54698748.html#PageId_54698750","8.1.1. The Planning Stage",
"The procedures for developing a new card application for dual distribution as a downloadable version are essentially the same as for developing an ordinary card-based software application. This section describes aspects of the development process that require special attention.\n8.1.1. The Planning Stage\nCard-based software applications and downloadable applications for the same title are treated as the same product, with different sales channels. Make sure that the card and downloadable applications work the same.\n Note:\n Contact Nintendo support at support@noa.com if you want your card applications and downloadable applications to work differently.\n If Nintendo approves differences, note the specific differences in Checksheet Editor in the Program Specifications checksheet, under \"Nintendo-Approved Specifications.\"\n",0]
,["Pages/Page_54698748.html#PageId_54698751","8.1.2. Getting the Product Code and Unique ID",
"\n8.1.2. Getting the Product Code and Unique ID\nA dual-distribution application uses the same product code and unique ID for both the card and downloadable versions. Do not get separate product codes or unique IDs for the package version and downloadable version.\nExamples: For example, if you have obtained the product code CTR-P-AAAJ(JPN) for your card application, you would use CTR-P-AAAJ for the downloadable application’s product code. You would not use CTR-N-AAAJ, which would indicate that the product is a downloadable application.\nYou actually manage your product using the product code for the downloadable version—in this example, CTR-N-AAAJ. When you produce the software or submit the master ROM, however, it is fine to consider these to be the same product code and unique ID.\n",0]
,["Pages/Page_54698748.html#PageId_54698752","8.1.3. E-Manual",
"\n8.1.3. E-Manual\nYou must include the same e-manual with your card and downloadable applications.\nTo create your e-manual, use the latest version of the CTR Electronic Manual Creation Guide, Part 2 – Template Units.\n",0]
,["Pages/Page_54698748.html#PageId_54698753","8.1.4. Save Data and Extra Data",
"\n8.1.4. Save Data and Extra Data\nIf a system has both the package and downloadable versions of an application, each application will access separate save data (the package version will access the backup memory on the Game Card, and the downloadable version will access the SD card), but both will access the same extra data (extended save data). Consider the following when deciding how your application will deal with this situation.\nThis situation will also occur if a user plays multiple Game Cards for the same title on a single system. Regardless of whether you support download sales, a card application should be able to handle this situation without any fatal bugs occurring. And if your application can support multiple Game Cards, it should be able to support download sales through some additional handling.\nYour application need not offer special handling for such cases (such as enabling users to migrate their save data if they own the package version and later purchase the downloadable version), but if you implement a feature to support multiple Game Cards (such as data migration), confirm whether this feature can be repurposed to handle the situation of a package version and downloadable version co-existing.\n",0]
,["Pages/Page_54698748.html#PageId_54698754","8.1.5. Save-Data Rollbacks",
"\n8.1.5. Save-Data Rollbacks\nAlthough users cannot roll back the save data of a card application to an earlier state, it is easy to do so for a downloadable application using a personal computer. (Users can back up the contents of the entire SD card to their PC at the desired save point, and then roll back the save data by copying the PC backup to the SD card.)\nApplications can detect save-data rollbacks using the following functions from CTR-SDK 4.2.2 and later: SetSaveDataSecureValue and VerifySaveDataSecureValue (or VerifySaveDataSecureValueLoosely). When called from a card application, the SetSaveDataSecureValue() function will have no effect, and the VerifySaveDataSecureValue and VerifySaveDataSecureValueLoosely() functions will always return true. You can also safely use these functions in a card application that supports download sales, because they have no effect if your application is running as a card application.\nWhen planning your game, consider using these functions if rollbacks of save data would have a fatal effect on game balance or other factors. If you create game-ending penalties for users (such as making all save data unusable in the event of a rollback), cases such as the following may occur. When deciding on your application's specifications, also fully consider how you will communicate this to your users, and how you will provide support.\n \tThe user may create a backup of the save data on a PC without knowing about the penalty for rollbacks, and delete the data recorded to the SD card in the last call to the SetSaveDataSecureValue() function.\nFor downloadable games that do not take measures against rollbacks, there is a risk that users will lose their data without knowing that they are doing something that is not allowed.\n \tIf the system is repaired, support technicians may be able to rescue the save data on the SD card, but not in the system NAND memory.\nThe value stored using the SetSaveDataSecureValue() function will be lost, and become inconsistent with the value in the remaining save data. In this situation, the penalty will be incurred if you are using the VerifySaveDataSecureValue() function, but if you are using the VerifySaveDataSecureValueLoosely() function, the user can use the save data on the SD card before repair, because this function will return TRUE in this instance. However, the save data on the SD card before repair might have been rolled back, so you must decide whether your business model can allow this.\n",0]
,["Pages/Page_54698748.html#PageId_54698755","8.1.6. In-Game Notations and Displays",
"\n8.1.6. In-Game Notations and Displays\nThe text messages, copyright notations, and other content in the game must not pose problems on either the card or downloadable application version.\nThe following are examples of in-game messages where you must take into account the differences between card and downloadable applications when drafting effective messages.\n \tDifferent storage media\nCard-based software applications store the software and save data to a Game Card.\nDownloadable applications store the software and save data on an SD card.\nSample good and bad in-game messages:\n Bad: \"Saving. Do not remove the Game Card.\"\n Good: \"Saving. Do not remove the Game Card or SD card.\"\n Good: \"Saving. Do not remove the card.\"\n \tInclusion of printed materials\nCard applications come with printed material, such as a quick start guide, but downloadable applications do not.\nFollowing are good and bad examples of in-game messages.\n Bad: \"See the included quick start guide for instructions on game controls.\"\n Good: \"See the e-manual for instructions on game controls.\"\n Good: \"See the in-game Help for instructions on game controls.\"\nUse the following language in user-facing text if you want to communicate information to users differently depending on whether they are using a card or downloadable application.\nDownloadable application → Downloadable version\nCard application → Package version\nUse user-friendly terminology as in the examples.\n",0]
,["Pages/Page_54698748.html#PageId_54698756","8.1.7. Download Play",
"\n8.1.7. Download Play\nIf the parent system is using a card application for Download Play on the 3DS, a system update is performed via local communication (DUP) during the Download-Play sequence. However, the specifications do not allow the use of DUP if the parent system is using a downloadable application. For this reason, the child system must perform a system update beforehand if its firmware version is earlier than the required version.\nDo one of the following to communicate this effectively to your users.\n \tDisplay the following message on the parent system for Download Play, either while or before accepting child systems:\n\"If the message \"System update required\" appears on the other system, Download Play will not be available.\nHave the other player press Cancel, and update the system from System Settings. Selecting \"OK\" will not update the system.\"\nIf This message is too long to display, you must, at a minimum, inform the user that Download Play is not available on old system versions.\nOnly display this message if the argument pNotice is set to TRUE in the function nn::dlp::Server(WithName)::Initialize. The parameter pNotice is set to FALSE when either a DUP is available because the parent system is using the card application, or a future system update has made DUP available for downloadable applications as well.\n \tExplain in the e-manual that a system update is required for child systems.\nSample user-facing text can be found in CTR Electronic Manual Creation Guide, Part 2 – Template Units.\n",0]
,["Pages/Page_54698748.html#PageId_54698757","8.1.8. Media Access Speed",
"\n8.1.8. Media Access Speed\nThe File System guidelines document recommends that implementations generally not depend on the access speed of recording media, but note that ROM and save-data access speeds differ depending on whether an application is run as a card application or a downloadable application.\nAlthough there is no significant difference in the read speeds of ROM data between Game Cards and SD cards, data reads and writes from/to an SD card by a downloadable application are much faster than when using the backup memory of the Game Card.\n Note:\n For more information about access speeds, see 3DS Performance Tips.\nWhen accessing data from the ROM and extra data (on the SD card) simultaneously, a card application will be accessing two different media, but a downloadable application will be accessing the SD card for both. This could cause a difference in processing time for the same action, depending on whether it is a card or downloadable application.\nYou can set the priority of file access (see Access Priority Setting in 3DS Programming Manual: System). For example, if you do not set a high priority for streaming data from an SD card, this may not cause any problems for a card application, but result in streaming delays in the downloadable application.\n",0]
,["Pages/Page_54698748.html#PageId_54698758","8.1.9. Generating (Building) Application Binaries",
"\n8.1.9. Generating (Building) Application Binaries\nFor your master ROM submission, you only submit a CCI file (binary for card applications). Build your application in the same way as you have done with card applications previously.\nTo test the application as a downloadable application, convert the CCI file into a CIA file, and import it onto an SD card.\n Note:\n To convert a CCI file into a CIA file, run makecia with the cci option.\nUse the Master Editor tool to make sure that the CIA file was generated correctly from the CCI file. Specifically, look on the CXI and CFA tabs for the CCI and CIA files (all of them if there are more than one), and under \"Hash value (CRC32),\" make sure that the value for \"Content total\" is the same for both.\n",0]
,["Pages/Page_54698748.html#PageId_54698759","8.1.10. Debugging",
"\n8.1.10. Debugging\nDebug both your card application and downloadable application. You do not need to perform twice as much debugging as you have performed previously. Just devote a certain portion of your debugging on the system to the downloadable application.\nIf you test running both a card and downloadable application on a single system, perform the same tests as when you test running multiple card applications on a single system.\nDebug using the SD card bundled with the development hardware or a genuine Nintendo SD card.\n Note:\n See Media Access Speeds in the File System guidelines document.\n",0]
,["Pages/Page_54698748.html#PageId_54698760","8.1.10.1. Reusing Save Data",
"\n8.1.10.1. Reusing Save Data\nYou can use the SaveDataFiler tool (included in CTR-SDK) to write a card application’s save data to an SD card, and then load it from the downloadable version.\n",0]
,["Pages/Page_54698748.html#PageId_54698761","8.1.11. Master ROM Submission",
"\n8.1.11. Master ROM Submission\nThe procedure for submitting a master ROM for a card application that will now be sold as a downloadable application is the same as for a standard card application. Submit the same master data (CCI file) for the card and downloadable applications. You do not need to submit a separate CIA file for download sales, nor do you need to create separate packages for submitting the package version and downloadable version.\nUse CTR Master Editor to submit your master data. Under \"Application purpose,\" select \"General sales,\" and select both the \"Card sales\" and \"Download sales\" check boxes to show explicitly that you support download sales. This submits your application as a dual-distribution application, but contact Nintendo support at support@noa.com beforehand if you want to start download sales immediately, before the cards go into production.\nIf you want to treat card applications and downloadable applications differently (with special approval from Nintendo), describe the specific differences in \"Nintendo-Approved Specifications\" on the Program Specifications checksheet in Checksheet Editor.\n",0]
,["Pages/Page_54698748.html#PageId_54698762","8.2. Selling a Previously Launched Card Application as a Downloadable Application",
"\n8.2. Selling a Previously Launched Card Application as a Downloadable Application\n",0]
,["Pages/Page_54698748.html#PageId_54698763","8.2.1. SDK Version",
"In most cases, making a previously launched card application support download sales only requires adding an e-manual. This section describes aspects of the development process that require special attention.\n8.2.1. SDK Version\nIf you have a master ROM that you submitted as a card application, and you want to use it as a downloadable application, or if the only change is an added or modified e-manual, the rules listed under the CTR-SDK Versions Accepted for Master Submission page on WarioWorld currently do not apply. In other words, it is fine to use the same SDK version that you were using.\nContact Nintendo support at support@noa.com if you need to rebuild your application due to some change. However, it is fine to keep the current SDK version for the following types of change:\n \tMinor revisions, such as changing some of the messages or UI displays. \tRemaster to include content in a previously released patch.\nIf you rebuild a modified version of your application, you must submit a revision history in the applicable checksheet of Checksheet Editor or a separate document that describes in detail each of the changes from the previous version that passed Lotcheck. See the CTR Master ROM Submission Guidelines for details.\n",0]
,["Pages/Page_54698748.html#PageId_54698764","8.2.2. E-Manual",
"\n8.2.2. E-Manual\nIn general, you must support the items that require immediate support as spelled out in the latest version of the CTR Electronic Manual Creation Guide, Part 2 – Template Units. Create or revise your e-manual as required, and add it to your previously released binary (replacing any existing e-manual) using CTR-ROM Editor. If adding the e-manual causes the ROM to exceed the maximum size available to the application, also change the media size.\nTable 8-1. Need for New or Revised E-Manuals\n \tE-Manual \tNecessary Changes\n \tNone \tCreate a new e-manual and submit it.\n \tYes \tTotal replacement is not necessary, regardless of the transition period. You just need to modify any parts that require immediate support subsequent to the version of the Creation Guide that was in effect at the time of the product launch.\n Note:\n Currently, the E-Manual Production manual is bundled with the CTR E-Manual Template collection, and the name has been changed to the E-Manual Production manual.\n",0]
,["Pages/Page_54698748.html#PageId_54698765","8.2.3. Save Data Compatibility",
"\n8.2.3. Save Data Compatibility\nWhen revising applications that support dual distribution, if there are multiple versions on the market as a result of revisions to the card-applications side of distribution, consider the following.\nWhen there is no save data compatibility between any version of the card application on sale and the distributed downloadable application, after the save data has been migrated with the Move Save Data tool, a fatal error results and the save data is unusable. If this situation applies, contact support@noa.com. Nintendo will work to ensure that relevant save data is not migrated by the Move Save Data tool.\n",0]
,["Pages/Page_54698748.html#PageId_54698766","8.2.4. Save-Data Rollbacks",
"\n8.2.4. Save-Data Rollbacks\nAs described in 8.1.5 Save-Data Rollbacks, users of downloadable applications can roll back their save data by using a PC to manipulate their SD cards—something that was not possible with card applications. You must verify during the planning stages whether rolling back save data will disrupt the game balance.\n",0]
,["Pages/Page_54698748.html#PageId_54698767","8.2.5. In-Game Notations and Displays",
"\n8.2.5. In-Game Notations and Displays\nCheck whether the text messages, copyright notations, and other content in the game pose problems for downloadable application sales.\n Note:\n If the application has not changed, Nintendo will not re-check the messages, notations, displays, and other content for problems.\n",0]
,["Pages/Page_54698748.html#PageId_54698768","8.2.6. Download Play",
"\n8.2.6. Download Play\n8.1.7 Download Play describes the operations of Download Play. If your application supports Download Play and does not display the messages set forth in 8.1.7 Download Play, you must place them in the e-manual.\n",0]
,["Pages/Page_54698748.html#PageId_54698769","8.2.7. Testing the Application",
"\n8.2.7. Testing the Application\nYou must also test your application for bugs, even if you run it from an SD card as a downloadable application.\nAlso pay attention to the information in 8.1.4. Save Data and Extra Data, 8.1.8. Media Access Speed, and 8.1.9. Generating (Building) Application Binaries.\n",0]
,["Pages/Page_54698748.html#PageId_54698770","8.2.8. Master ROM Submission",
"\n8.2.8. Master ROM Submission\nResubmit a CCI file with an attached e-manual, in accordance with the CTR Master ROM Submission Guidelines.\nUse CTR Master Editor to submit your master data. Under \"Application purpose,\" select \"General sales,\" and select both the \"Card sales\" and \"Download sales\" check boxes to show explicitly that you support download sales.\nThe following table shows the required deliverables and their versions.\nTable 8-2. Required Deliverables and Versions for Submitting Master ROMs\n \t \tSubmission Items \tVersion\n \tMaster ROM Submission Sheet \tMaster ROM \tChecksheet \tRevision History \tRemastered Version \tSubmission Version\n \tMaster ROM data identical to data submitted previously \tRequired \tNot Required \tNot Required* \tNot Required \tSame as last time \tSame as last time\n \tOnly added or replaced e-manual \tRequired \tRequired \tNot Required* \tRequired \tSame as last time \tPrevious + 1\n \tApplication has been changed \tRequired \tRequired \tRequired \tRequired \tPrevious + 1 \t0\n * If the card application and downloadable application differ, and you did not note this difference in the previous submission documentation, describe the specific differences under \"Nintendo-Approved Specifications\" on the Program Specifications checksheet in Checksheet Editor. If any of the following applies to your title, and you did not note this in the previous submission documentation, you must resubmit your checksheet.\n \tTitles that use the save-data rollback prevention support function \tTitles that access the save data of other applications\n Note:\n In general, use the latest version of the Master Editor and Checksheet Editor to create your deliverables.\n However, using the newest version of Master Editor can cause the following errors. Ignore this error if you have not yet rebuilt to include fixes.\n \tSettings with values configured and settings with no values configured can get mixed up for the long title, short title, and publisher name settings.\n",0]
,["Pages/Page_54698748.html#PageId_54698771","8.3. Revising Your Application",
"\n8.3. Revising Your Application\nThis section describes the steps required when you revise an application marketed via dual distribution as a package and downloadable version.\nWe recommend that you use a patch to make revisions. See the chapter about patches in the 3DS Overview.\n Warning:\n When revising a title that uses a fake client, special consideration is required if a fake client that differs from the remaster version will connect to the DLP server.\n See the chapter about fake client features in the Patch Manual.\n",0]
,["Pages/Page_54698748.html#PageId_54698772","8.3.1. Revising Your Application After Launch",
"\n8.3.1. Revising Your Application After Launch\nAs a general rule, create and submit a patch for any revisions.There is no need to submit revised versions.\nOnly submit a revised version if you plan on producing a revised version with a new Game Cards with the revisions applied. In this case, select only the card sales option under the \"Application purpose\" section of the Master ROM Submission Sheet. This master ROM will only be used to manufacture Game Cards. It will not be distributed through Nintendo eShop.\nPatches work for the majority of cases where a fix is needed. In such cases where a patch cannot be applied, submit the updated version for dual distribution. In this case, in the Master Editor tool, in Application purpose, select both Card sales and Download sales.\n Note:\n E-manual revisions and fixes for Download Play child programs are also applicable with patches.\n",0]
,["Pages/Page_54698748.html#PageId_54698773","8.3.2. Distributing a Card Application That Has Already Been Released and Patched",
"\n8.3.2. Distributing a Card Application That Has Already Been Released and Patched\nIt is fine to make the unpatched version of the application (the content that was released on the card) ready for dual distribution in accordance with 8.2. Selling a Previously Launched Card Application as a Downloadable Application, and then resubmit it. However, you must confirm that the downloadable application runs correctly when it is patched.\nYou can also submit a revised version.\nCONFIDENTIAL\n",0]
];
for (var x = 0; x < additionalData.length; x++) Search.indexData.push(additionalData[x]);
Search.additionalData = additionalData;
})();
